Skip to main content
GET
/
api
/
v1
/
task_ids
/
{project}
/
{domain}
Fetch a list of :ref:`ref_flyteidl.admin.NamedEntityIdentifier` of task objects
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/task_ids/{project}/{domain}
{
  "entities": [
    {
      "project": "<string>",
      "domain": "<string>",
      "name": "<string>",
      "org": "<string>"
    }
  ],
  "token": "<string>"
}

Path Parameters

project
string
required

Name of the project that contains the identifiers. +required

domain
string
required

Name of the domain the identifiers belongs to within the project. +required

Query Parameters

limit
integer<int64>

Indicates the number of resources to be returned. +required

token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. +optional

sort_by.key
string

Indicates an attribute to sort the response values. +required

sort_by.direction
enum<string>
default:DESCENDING

Indicates the direction to apply sort key for response values. +optional

  • DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING,
ASCENDING
filters
string

Indicates a list of filters passed as string. +optional

org
string

Optional, org key applied to the resource.

Response

A successful response.

Represents a list of NamedEntityIdentifiers.

entities
object[]

A list of identifiers.

token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. If there are no more results, this value will be empty.